package de.intevation.gnv.statistics;

import java.util.ArrayList;
import java.util.Collection;

/**
 * A container to store several statistics.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class StatisticSet {


    private String name = null;

    private Collection<Statistic> statistics = new ArrayList<Statistic>();

    /**
     * Constructor
     * @param name Name of this container.
     */
    public StatisticSet(String name) {
        this.name = name;
    }


    /**
     * Add a further statistic to this container.
     *
     * @param statistic A statistic.
     */
    public void addStatistic(Statistic statistic){
        this.statistics.add(statistic);
    }

    /**
     * Returns all statistics in this container.
     * @return all statistics.
     */
    public Collection<Statistic> getStatistics(){
        return this.statistics;
    }

    /**
     * Returns the name of this container.
     * @return the name.
     */
    public String getName(){
        return this.name;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :